読者です 読者をやめる 読者になる 読者になる

ナチュラル @rch850

ナチュラル丼発祥の地、福井からお届けします。技術的な話題とか、雑談とか。

CentOS 5.6 で Sphinx が動かなかった件の回答

CentOS 5.6 で Sphinx が動かない - ナチュラル @rch850 の続報です。

自力では全く解決できそうになかったんで、エラーログに書かれている sphinx-dev にメールしたら、速攻で解決しました([no subject] - sphinx-dev | Google Groups)。英文でやり取りしてるにもかかわらず、回答をくれたのが偶然 @shimizukawa さんだったという。結論、Pygments のバージョンを 1.4 に落とせということです。

これを踏まえて、前回の記事に書いたインストールのコマンドを書き換えると、

$ sudo yum install python-setuptools
$ sudo easy_install -f http://pypi.python.org/pypi/Pygments/1.4
$ sudo easy_install Sphinx

となります。割と簡単ですね。しかしこれ、SphinxPython 2.4 で動きますと言うにはちょっと不親切では、と思いました。